path: /build/build/python-greenlet-virtual-1.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge virtual/python-greenlet -pv -t && \
    USE="-python_targets_pypy3 -python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps virtual/python-greenlet
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/python-greenlet && luet-portage --dir
    /pkgdir/python-greenlet virtual/python-greenlet && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:410f5258e5cb99730816541f1ecebe747780a55cc722dffb5f9e5bfca43e6b7d
  package:
    name: python-greenlet
    version: "1.0"
    category: virtual
    use_flags:
    - -python_targets_pypy3
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: greenlet
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A virtual for Python greenlet module
    uri:
    - ""
    buildtimestamp: 2023-09-24 13:15:54.48934648 +0000 UTC m=+65.368152848
    labels:
      IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 python_targets_python3_10
      RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python2_7?
        ( >=dev-lang/python-2.7.5-r2:2.7 ) python_targets_python3_10? ( dev-lang/python:3.10
        ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
        python_targets_python3_7? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) python_targets_python3_9? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) python_targets_python3_8? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) python_targets_python2_7? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        ) python_targets_python3_10? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
        )
      emerge.packages: virtual/python-greenlet
      kit: python-modules-kit
      original.package.name: virtual/python-greenlet
      original.package.slot: "0"
      original.package.version: "1.0"
    treedir: /build/packages
  package_dir: /pkgdir/python-greenlet
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: ebaaa55d2f3f3416d898dcf7bc2e0d0fa083918e4c23b466318347c8e9d0ebee
compressiontype: zstd
files:
- var/db/pkg/virtual/python-greenlet-1.0/BUILD_TIME
- var/db/pkg/virtual/python-greenlet-1.0/CATEGORY
- var/db/pkg/virtual/python-greenlet-1.0/CBUILD
- var/db/pkg/virtual/python-greenlet-1.0/CFLAGS
- var/db/pkg/virtual/python-greenlet-1.0/CHOST
- var/db/pkg/virtual/python-greenlet-1.0/COUNTER
- var/db/pkg/virtual/python-greenlet-1.0/CXXFLAGS
- var/db/pkg/virtual/python-greenlet-1.0/DEFINED_PHASES
- var/db/pkg/virtual/python-greenlet-1.0/DESCRIPTION
- var/db/pkg/virtual/python-greenlet-1.0/EAPI
- var/db/pkg/virtual/python-greenlet-1.0/FEATURES
- var/db/pkg/virtual/python-greenlet-1.0/INHERITED
- var/db/pkg/virtual/python-greenlet-1.0/IUSE
- var/db/pkg/virtual/python-greenlet-1.0/IUSE_EFFECTIVE
- var/db/pkg/virtual/python-greenlet-1.0/KEYWORDS
- var/db/pkg/virtual/python-greenlet-1.0/LDFLAGS
- var/db/pkg/virtual/python-greenlet-1.0/LICENSE
- var/db/pkg/virtual/python-greenlet-1.0/PF
- var/db/pkg/virtual/python-greenlet-1.0/RDEPEND
- var/db/pkg/virtual/python-greenlet-1.0/SIZE
- var/db/pkg/virtual/python-greenlet-1.0/SLOT
- var/db/pkg/virtual/python-greenlet-1.0/USE
- var/db/pkg/virtual/python-greenlet-1.0/environment.bz2
- var/db/pkg/virtual/python-greenlet-1.0/python-greenlet-1.0.ebuild
- var/db/pkg/virtual/python-greenlet-1.0/repository
package_cacheimage: ""
runtime:
  name: python-greenlet
  version: "1.0"
  category: virtual
  use_flags:
  - -python_targets_pypy3
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: greenlet
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A virtual for Python greenlet module
  uri:
  - ""
  labels:
    IUSE: python_targets_pypy3 python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python2_7 python_targets_python3_10
    RDEPEND: python_targets_pypy3? ( >=dev-python/pypy3-7.3.0:0= ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7
      ) python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_pypy3(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python2_7(-)?,python_targets_python3_10(-)?,-python_single_target_pypy3(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python2_7(-),-python_single_target_python3_10(-)]
      python_targets_python3_7? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) python_targets_python3_9? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) python_targets_python3_8? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) python_targets_python2_7? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      ) python_targets_python3_10? ( dev-python/greenlet[python_targets_python3_7(-)?,-python_single_target_python3_7(-),python_targets_python3_9(-)?,-python_single_target_python3_9(-),python_targets_python3_8(-)?,-python_single_target_python3_8(-),python_targets_python2_7(-)?,-python_single_target_python2_7(-),python_targets_python3_10(-)?,-python_single_target_python3_10(-)]
      )
    emerge.packages: virtual/python-greenlet
    kit: python-modules-kit
    original.package.name: virtual/python-greenlet
    original.package.slot: "0"
    original.package.version: "1.0"
